Subject: [BUG] Memory Ref. Error in tetex(?) post-install process
From: "David A. Cobb" <[email-masked]>
To: Cygwin Discussion <[email-masked]>
Date: Fri, 16 Aug 2002 12:35:53 -0400

Current SETUP.EXE (2.249.2.5)  updating almost everything.  Mostly
tetex/texmf stuff is new.
Post-Install script starts and then throws:
  >  sh.exe instruction at 0x77f8ed61 referenced memory at 0x00000010.
  > The memory could not be "written".
  > Click [OK] to terminate.

At that point, the script window shows:

 > ==================== binaries found by searching $PATH 
===================
 > tex:    /usr/bin/tex
 > etex:   /usr/bin/etex
 > pdftex: /usr/bin/pdftex
 > omega:  /usr/bin/omega
 > mf:     /usr/bin/mf
 > mpost:  /usr/bin/mpost
 > tcdialog:       /usr/bin/tcdialog

Using ProcessExplorer, I see that there is a tree of SH.EXE invocations
about 5 deep.

After clicking [OK] the process goes to the usual very verbose TeX
initialization steps.  I can't tell what, if anything, was compromised.

A zip file of SETUP.LOG.FULL was originally included but the size-limit
stopped it.
-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- 
The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/